Runtime
Date: 2016-06-24

java.lang

## Class Runtime

- java.lang.Object
- - java.lang.Runtime

-     public class Runtime
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addShutdownHook(Thread var0)`
    `int` | `availableProcessors()`
    `Process` | `exec(String var0)`
    `Process` | `exec(String[] var0)`
    `Process` | `exec(String[] var0, String[] var1)`
    `Process` | `exec(String[] var0, String[] var1, File var2)`
    `Process` | `exec(String var0, String[] var1)`
    `Process` | `exec(String var0, String[] var1, File var2)`
    `void` | `exit(int var0)`
    `long` | `freeMemory()`
    `void` | `gc()`
    `static Runtime` | `getRuntime()`
    `void` | `halt(int var0)`
    `void` | `load(String var0)`
    `void` | `loadLibrary(String var0)`
    `long` | `maxMemory()`
    `boolean` | `removeShutdownHook(Thread var0)`
    `void` | `runFinalization()`
    `long` | `totalMemory()`
    `void` | `traceInstructions(boolean var0)`
    `void` | `traceMethodCalls(boolean var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addShutdownHook

          public void addShutdownHook(Thread var0)

    - #### availableProcessors

          public int availableProcessors()

    - #### exec

          public Process exec(String var0)
                       throws IOException

      Throws:
        `IOException`

    - #### exec

          public Process exec(String var0,
                     String[] var1)
                       throws IOException

      Throws:
        `IOException`

    - #### exec

          public Process exec(String var0,
                     String[] var1,
                     File var2)
                       throws IOException

      Throws:
        `IOException`

    - #### exec

          public Process exec(String[] var0)
                       throws IOException

      Throws:
        `IOException`

    - #### exec

          public Process exec(String[] var0,
                     String[] var1)
                       throws IOException

      Throws:
        `IOException`

    - #### exec

          public Process exec(String[] var0,
                     String[] var1,
                     File var2)
                       throws IOException

      Throws:
        `IOException`

    - #### exit

          public void exit(int var0)

    - #### freeMemory

          public long freeMemory()

    - #### gc

          public void gc()

    - #### getRuntime

          public static Runtime getRuntime()

    - #### halt

          public void halt(int var0)

    - #### load

          public void load(String var0)

    - #### loadLibrary

          public void loadLibrary(String var0)

    - #### maxMemory

          public long maxMemory()

    - #### removeShutdownHook

          public boolean removeShutdownHook(Thread var0)

    - #### runFinalization

          public void runFinalization()

    - #### totalMemory

          public long totalMemory()

    - #### traceInstructions

          public void traceInstructions(boolean var0)

    - #### traceMethodCalls

          public void traceMethodCalls(boolean var0)